package wgfunc

type ClientConfig struct {
	ServerURL string
	ServerPublicKey string
	PrivateKey string
	PresharedKey string
}

type Client struct {

}

func NewClient(config ClientConfig) Client {

}

func (c *Client)Connect() error {

}